HTMLObjectElement (XML Standard API)
Date: 2018-10-17

org.w3c.dom.html

## Interface HTMLObjectElement

- All Superinterfaces:
    Element, HTMLElement, Node

      public interface HTMLObjectElement
      extends HTMLElement

  Generic embedded object. Note. In principle, allproperties on the object element are read-write but in someenvironments some properties may be read-only once the underlyingobject is instantiated. See the OBJECT element definition in HTML 4.0.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
    `java.lang.String` | `getArchive()` Space-separated list of archives.
    `java.lang.String` | `getBorder()` Width of border around the object.
    `java.lang.String` | `getCode()` Applet class file.
    `java.lang.String` | `getCodeBase()` Base URI for `classid`, `data`, and `archive` attributes.
    `java.lang.String` | `getCodeType()` Content type for data downloaded via `classid` attribute.
    `java.lang.String` | `getData()` A URI specifying the location of the object's data.
    `boolean` | `getDeclare()` Declare (for future reference), but do not instantiate, thisobject.
    `HTMLFormElement` | `getForm()` Returns the `FORM` element containing this control.Returns null if this control is not within the context of a form.
    `java.lang.String` | `getHeight()` Override height.
    `java.lang.String` | `getHspace()` Horizontal space to the left and right of this image, applet, or object.
    `java.lang.String` | `getName()` Form control or object name when submitted with a form.
    `java.lang.String` | `getStandby()` Message to render while loading the object.
    `int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
    `java.lang.String` | `getType()` Content type for data downloaded via `data` attribute.
    `java.lang.String` | `getUseMap()` Use client-side image map.
    `java.lang.String` | `getVspace()` Vertical space above and below this image, applet, or object.
    `java.lang.String` | `getWidth()` Override width.
    `void` | `setAlign(java.lang.String align)`
    `void` | `setArchive(java.lang.String archive)`
    `void` | `setBorder(java.lang.String border)`
    `void` | `setCode(java.lang.String code)`
    `void` | `setCodeBase(java.lang.String codeBase)`
    `void` | `setCodeType(java.lang.String codeType)`
    `void` | `setData(java.lang.String data)`
    `void` | `setDeclare(boolean declare)`
    `void` | `setHeight(java.lang.String height)`
    `void` | `setHspace(java.lang.String hspace)`
    `void` | `setName(java.lang.String name)`
    `void` | `setStandby(java.lang.String standby)`
    `void` | `setTabIndex(int tabIndex)`
    `void` | `setType(java.lang.String type)`
    `void` | `setUseMap(java.lang.String useMap)`
    `void` | `setVspace(java.lang.String vspace)`
    `void` | `setWidth(java.lang.String width)`

    - ### Methods inherited from interface org.w3c.dom.html.HTMLElement

      `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getForm

          HTMLFormElement getForm()

      Returns the `FORM` element containing this control.Returns null if this control is not within the context of a form.

    - #### getCode

          java.lang.String getCode()

      Applet class file. See the `code` attribute for HTMLAppletElement.

    - #### setCode

          void setCode(java.lang.String code)

    - #### getAlign

          java.lang.String getAlign()

      Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setAlign

          void setAlign(java.lang.String align)

    - #### getArchive

          java.lang.String getArchive()

      Space-separated list of archives. See the archive attribute definition in HTML 4.0.

    - #### setArchive

          void setArchive(java.lang.String archive)

    - #### getBorder

          java.lang.String getBorder()

      Width of border around the object. See the border attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setBorder

          void setBorder(java.lang.String border)

    - #### getCodeBase

          java.lang.String getCodeBase()

      Base URI for `classid`, `data`, and `archive` attributes. See the codebase attribute definition in HTML 4.0.

    - #### setCodeBase

          void setCodeBase(java.lang.String codeBase)

    - #### getCodeType

          java.lang.String getCodeType()

      Content type for data downloaded via `classid` attribute. See the codetype attribute definition in HTML 4.0.

    - #### setCodeType

          void setCodeType(java.lang.String codeType)

    - #### getData

          java.lang.String getData()

      A URI specifying the location of the object's data. See the data attribute definition in HTML 4.0.

    - #### setData

          void setData(java.lang.String data)

    - #### getDeclare

          boolean getDeclare()

      Declare (for future reference), but do not instantiate, thisobject. See the declare attribute definition in HTML 4.0.

    - #### setDeclare

          void setDeclare(boolean declare)

    - #### getHeight

          java.lang.String getHeight()

      Override height. See the height attribute definition in HTML 4.0.

    - #### setHeight

          void setHeight(java.lang.String height)

    - #### getHspace

          java.lang.String getHspace()

      Horizontal space to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setHspace

          void setHspace(java.lang.String hspace)

    - #### getName

          java.lang.String getName()

      Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.

    - #### setName

          void setName(java.lang.String name)

    - #### getStandby

          java.lang.String getStandby()

      Message to render while loading the object. See the standby attribute definition in HTML 4.0.

    - #### setStandby

          void setStandby(java.lang.String standby)

    - #### getTabIndex

          int getTabIndex()

      Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

    - #### setTabIndex

          void setTabIndex(int tabIndex)

    - #### getType

          java.lang.String getType()

      Content type for data downloaded via `data` attribute. See the type attribute definition in HTML 4.0.

    - #### setType

          void setType(java.lang.String type)

    - #### getUseMap

          java.lang.String getUseMap()

      Use client-side image map. See the usemap attribute definition in HTML 4.0.

    - #### setUseMap

          void setUseMap(java.lang.String useMap)

    - #### getVspace

          java.lang.String getVspace()

      Vertical space above and below this image, applet, or object. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setVspace

          void setVspace(java.lang.String vspace)

    - #### getWidth

          java.lang.String getWidth()

      Override width. See the width attribute definition in HTML 4.0.

    - #### setWidth

          void setWidth(java.lang.String width)

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.